package bt

/*
#cgo LDFLAGS:-lbtapp -lbsa -luvdbus -lwifimg -lpthread -ldl -lstdc++ -lrt -lm -lc -lz
#include <stdio.h>
#include <stdlib.h>
//#include <bluetooth_socket.h>
#include <c_bluetooth.h>
*/
import "C"
import "netease_control_center/interfaces/log"

var (
	hasInit bool = false
)

func BlueTooth_Init() {
	if hasInit == true {
		return
	}
	hasInit = true
	log.Println(log.DebugLog, "Begin to init bluetooth in c!!")
	C.Bluetooth_Init()
}

func Bluetooth_On() {
	C.Bluetooth_On()
}

func BlueTooth_Off() {
	C.Bluetooth_Off()
}
